Object Storage
Update replication
patch
/object-storage/replications/{replication_uuid}Change what a replication copies (prefix or tag filter, delete markers, deletes, existing objects), pause it (enabled: false) or resume it, or rotate the access key of an external destination.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
replication_uuid*string
Cuerpo de la petición
Change the rules, pause (enabled: false) or resume, or rotate external credentials.
application/jsonObligatorio
enabled?boolean | null
prefix?string | null
null removes it
Rango
1 ≤ length ≤ 1024tags?array<ObjectStorageReplicationTag> | null
Rango
items ≥ 1Rangoitems ≤ 10Propiedades (2)
key*string
Rango
1 ≤ length ≤ 128value*string
Rango
length ≤ 256delete_marker_replication?boolean | null
delete_replication?boolean | null
existing_objects?boolean | null
destination?ObjectStorageReplicationCredentials | null
external destinations only: new access key id and secret, both
Propiedades (2)
access_key_id*string
Rango
1 ≤ length ≤ 128secret_access_key*string
Rango
1 ≤ length ≤ 256Respuestas
Successful Response
application/json
detail*string